<?php

/*
 * @package RS-SITE
 * @copyright (c) 2013 Alexey Glumov aka Rio-Shaman (support@rio-shaman.ru)
 * @license GNU General Public License version 2; see LICENSE.txt
 *
 */

if(!defined('RS-SITE')) die();

include('modules/admin/fields/field/option/option.class.php');

$fields_option = new fields_option($value);

$GLOBALS['rssite']['menu'] = $value['type'];

switch($value['value'])
{
	case 'browse':
		if(isset($_GET['field_id']))    $field_id    = $fields_option->tools->clear_int($_GET['field_id']);
        
        if (isset($field_id))
            $massiv_tree[$value['tpl']] = $fields_option->show_options($field_id);
		break;
    case 'add':
        if(isset($_GET['field_id']))     $fields['field_id']     = $fields_option->tools->clear_int($_GET['field_id']);
        
        if(isset($_POST['field_id']))      $fields['field_id']       = $fields_option->tools->clear_int($_POST['field_id']);
        if(isset($_POST['option_value']))  $fields['option_value']   = $fields_option->tools->clear_string($_POST['option_value']);
        
        if (count($fields) == 2)
            $fields_option->add_option($fields);
        
        if (isset($fields['field_id']))
            $massiv_tree[$value['tpl']] = $fields_option->show_add_form($fields);
		break;
    case 'edit':
        if(isset($_GET['option_id']))    $fields['option_id']    = $fields_option->tools->clear_int($_GET['option_id']);
        
        if(isset($_POST['field_id']))      $fields['field_id']       = $fields_option->tools->clear_int($_POST['field_id']);
        if(isset($_POST['option_id']))     $fields['option_id']      = $fields_option->tools->clear_int($_POST['option_id']);
        if(isset($_POST['option_value']))  $fields['option_value']   = $fields_option->tools->clear_string($_POST['option_value']);        

        if (count($fields) == 3)
            $fields_option->edit_option($fields);
        
        if (isset($fields['option_id']))
            $massiv_tree[$value['tpl']] = $fields_option->show_edit_form($fields);
		break;
    case 'delete':
        if(isset($_GET['option_id']))    $fields['option_id']    = $fields_option->tools->clear_int($_GET['option_id']);
        
        if (isset($fields['option_id']))
            $fields_option->delete_option($fields);
		break;
}
?>