<?php

/*
 * @package RS-SITE
 * @copyright (c) 2013 Alexey Glumov aka Rio-Shaman (support@rio-shaman.ru)
 * @license GNU General Public License version 2; see LICENSE.txt
 *
 */
 

if(!defined('RS-SITE')) die();

include('modules/admin/meta/meta.class.php');

$meta = new meta($value);

$GLOBALS['rssite']['menu'] = $value['type'];

switch($value['value'])
{
    case 'enable':
        $fields = array();
        
        if (isset($_POST['meta_title']))        $fields['meta_title']        = $meta->tools->clear_string($_POST['meta_title']);
        if (isset($_POST['meta_desc']))         $fields['meta_desc']         = $meta->tools->clear_string($_POST['meta_desc']);
        if (isset($_POST['meta_key']))          $fields['meta_key']          = $meta->tools->clear_string($_POST['meta_key']);
        
        if (count($fields) == 3)
            $meta->edit_meta($fields);
        
        $massiv_tree[$value['tpl']]          = (empty($fields)) ? $meta->get_meta($fields) : array(0 => $fields);
        $massiv_tree[$value['tpl']]['error'] = $fields['error'];
        break;
    case 'browse':
        
        $massiv_tree[$value['tpl']] = $meta->getBrowse();
        
        break;
    case 'add':
        
        $meta->addMeta();
        
        break;
    case 'delete':
        if (isset($_GET['meta_id'])) $meta_id = $meta->tools->clear_int($_GET['meta_id']);
        
        if (isset($meta_id))
            $meta->deleteMeta($meta_id);
        break;
}

?>