<?php

/*
 * @package RS-SITE
 * @copyright (c) 2013 Alexey Glumov aka Rio-Shaman (support@rio-shaman.ru)
 * @license GNU General Public License version 2; see LICENSE.txt
 *
 */
 

if(!defined('RS-SITE')) die();

include('modules/admin/parameter/param/param.class.php');

$param = new param($value);

$GLOBALS['rssite']['menu'] = $value['type'];

switch($value['value'])
{
    case 'browse':
        $massiv_tree[$value['tpl']] = $param->getParam();
        break;
    case 'add':
        $fields = array();
        
        if (isset($_POST['param_name']))      $fields['param_name']      = $param->tools->clear_string($_POST['param_name']);
        if (isset($_POST['param_type']))      $fields['param_type']      = $param->tools->clear_string($_POST['param_type']);
        
        if (count($fields) == 2)
            $param->addParam($fields);
        
        $massiv_tree[$value['tpl']] = $fields;
        break;
    case 'edit':
        $fields = array();
        
        if (isset($_POST['param_name']))      $fields['param_name']      = $param->tools->clear_string($_POST['param_name']);
        if (isset($_POST['param_type']))      $fields['param_type']      = $param->tools->clear_string($_POST['param_type']);
        
        $massiv_tree[$value['tpl']] = (count($fields) == 2) ? $param->editParam($fields) : $param->showForm();
        break;
    case 'delete':
        if (isset($_GET['param_id']))
            $param_id = $param->tools->clear_int($_GET['param_id']);
        
        if (isset($param_id))
            $param->deleteParam($param_id);
        else
            die('error');
        break;
    case 'position':
        if (isset($_GET['param_id']))      $param_id         = $param->tools->clear_int($_GET['param_id']);
        if (isset($_GET['step']))          $step             = $param->tools->clear_string($_GET['step']);
        
        if (!isset($param_id) OR !isset($step))
            die();
            
        if ($step != 'up' AND $step != 'down')
            die();
        
        $param->change_position($param_id, $step);
        break;
}
?>