<?php

/*
 * @package RS-SITE
 * @copyright (c) 2013 Alexey Glumov aka Rio-Shaman (support@rio-shaman.ru)
 * @license GNU General Public License version 2; see LICENSE.txt
 *
 */

if(!defined('RS-SITE')) die();

include('modules/admin/widget/nesting/nesting.class.php');

$nesting = new nesting($value);

$GLOBALS['rssite']['menu'] = $value['type'];

switch ($value['value'])
{
    case 'browse':
		$fields['widget_id'] = (isset($_GET['id'])) ? $nesting->tools->clear_int($_GET['id']) : 0;
        
        $massiv_tree[$value['tpl']] = array(
            'widget_id'  => $fields['widget_id'],
            'type'       => $value['type']
        );
        
        $massiv_tree[$value['tpl']]['widget'] = $nesting->show_list($fields['widget_id']);
        
        break;
    case 'addfile':
        if (isset($_POST['widget_id']))     $fields['widget_id']     = $nesting->tools->clear_int($_POST['widget_id']);
        if (isset($_POST['nesting_name']))  $fields['nesting_name']  = $nesting->tools->clear_string($_POST['nesting_name']);
        if (isset($_FILES['nesting_file'])) $fields['nesting_file']  = $_FILES['nesting_file'];
        
        if (count($fields) == 3)
            $nesting->add_file($fields);
        
        $massiv_tree[$value['tpl']] = $fields;
        break;
    case 'deletefile':
        if (isset($_GET['del']))    $file_id    = $nesting->tools->clear_int($_GET['del']);
        
        if (isset($file_id))
            $nesting->delete_file($file_id);
            
        die();
        break;
    case 'editfile':
        if (isset($_GET['file_id']))        $file_id                 = $nesting->tools->clear_int($_GET['file_id']);
        
        if (isset($_POST['nesting_name']))  $fields['nesting_name']  = $nesting->tools->clear_string($_POST['nesting_name']);
        if (isset($_POST['file_id']))       $fields['file_id']       = $nesting->tools->clear_int($_POST['file_id']);
        
        if (count($fields) == 2)
            $nesting->edit_file($fields);
        
        if (isset($file_id))
            $massiv_tree[$value['tpl']] = $nesting->show_edit_file($file_id);
        
        break;
}
?>