<?php

/*
 * @package RS-SITE
 * @copyright (c) 2013 Alexey Glumov aka Rio-Shaman (support@rio-shaman.ru)
 * @license GNU General Public License version 2; see LICENSE.txt
 *
 */

if(!defined('RS-SITE')) die();

class fields_option extends core
{
	/*инициализация объектов для работы данного класса*/
	public function fields_option($value)
	{
		$this->type      = $value['type'];
        $this->core();
	}

    /* CASE : BROWSE */
    public function show_options($field_id)
    {
        $sql = "SELECT * FROM rs_option WHERE field_id='".$field_id."'";
        
        if ($option = $this->db->accept_select($sql))
            $result['options'] = $option;
        
        $result['field_id'] = $field_id;
            
        return $result;
    }
    
    /* CASE : ADD */
    
    public function show_add_form($fields)
    {
        return $fields;
    }
    
    public function add_option($fields)
    {
        $what = array(
            'option_value'  => $fields['option_value'],
            'field_id'      => $fields['field_id']
        );

        $this->db->accept_insert($what, 'rs_option');
        
        $this->tools->move_to('/admin/'.$this->type.'/fields/option/?field_id='.$fields['field_id']);
    }
    
    /* CASE : EDIT */
    
    public function show_edit_form($fields)
    {
        $sql = "SELECT * FROM rs_option WHERE option_id='".$fields['option_id']."'";
        
        if (!$option = $this->db->accept_select($sql))
            return FALSE;
            
        return $option[0];
    }
    
    public function edit_option($fields)
    {
        $this->db->accept_update(array('option_value'  => $fields['option_value']), 'rs_option', "option_id='".$fields['option_id']."'");
        
        $this->tools->move_to('/admin/'.$this->type.'/fields/option/?field_id='.$fields['field_id']);
    }
    
    /* CASE : DELETE */
    
    public function delete_option($fields)
    {
        $this->db->accept_delete("DELETE FROM rs_option WHERE option_id='".$fields['option_id']."'");
        die();
    }
}
?>