<?php

/*
 * @package RS-SITE
 * @copyright (c) 2013 Alexey Glumov aka Rio-Shaman (support@rio-shaman.ru)
 * @license GNU General Public License version 2; see LICENSE.txt
 *
 */
 

if(!defined('RS-SITE')) die();

include('modules/admin/img/img.class.php');

$sizeIMG = new sizeIMG();

if (isset($_GET['img']))  $fields['path']    = $_GET['img'];
if (isset($_GET['w']))    $fields['width']   = $sizeIMG->tools->clear_int($_GET['w']);
if (isset($_GET['h']))    $fields['height']  = $sizeIMG->tools->clear_int($_GET['h']);
if (isset($_GET['g']))    $fields['g']       = $sizeIMG->tools->clear_string($_GET['g']);

if (isset($fields['path']))
{
    if (!$sizeIMG->tools->check_img_link($fields['path']))
        $sizeIMG->tools->not_found();
    
    $fields['width']  = ($fields['width'] > $sizeIMG->max)  ? $sizeIMG->max : $fields['width']; 
    $fields['height'] = ($fields['height'] > $sizeIMG->max) ? $sizeIMG->max : $fields['height']; 
    
    $fields['g']      = (!isset($fields['g']))              ? FALSE         : TRUE;
    
    if ($sizeIMG->set_img($fields, $fields['g']))
        die();
}

$sizeIMG->tools->not_found();
?>