<?php

/*
 * @package RS-SITE
 * @copyright (c) 2013 Alexey Glumov aka Rio-Shaman (support@rio-shaman.ru)
 * @license GNU General Public License version 2; see LICENSE.txt
 *
 */
 

if(!defined('RS-SITE')) die();

include('modules/admin/parameter/group.class.php');

$paramGroup = new paramGroup($value);

$GLOBALS['rssite']['menu'] = $value['type'];

switch($value['value'])
{
    case 'browse':
        $massiv_tree[$value['tpl']] = $paramGroup->getGroup();
        break;
    case 'add':
        $fields = array();
        
        if (isset($_POST['group_name']))      $fields['group_name']      = $paramGroup->tools->clear_string($_POST['group_name']);
        
        if (count($fields) == 1)
            $paramGroup->addGroup($fields);
        
        $massiv_tree[$value['tpl']] = $fields;
        break;
    case 'edit':
        $fields = array();
        
        if (isset($_POST['group_name']))      $fields['group_name']      = $paramGroup->tools->clear_string($_POST['group_name']);
        
        $massiv_tree[$value['tpl']] = (count($fields) == 1) ? $paramGroup->editGroup($fields) : $paramGroup->showForm();
        break;
    case 'delete':
        if (isset($_GET['group_id']))
            $group_id = $paramGroup->tools->clear_int($_GET['group_id']);
        
        if (isset($group_id))
            $paramGroup->deleteGroup($group_id);
        else
            die('error');
        break;
    case 'position':
        if (isset($_GET['group_id']))      $group_id         = $paramGroup->tools->clear_int($_GET['group_id']);
        if (isset($_GET['step']))          $step             = $paramGroup->tools->clear_string($_GET['step']);
        
        if (!isset($group_id) OR !isset($step))
            die();
            
        if ($step != 'up' AND $step != 'down')
            die();
        
        $paramGroup->change_position($group_id, $step);
        break;
}
?>